﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %> 
<%@ Register Tagprefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DienstfahrtenUserControl.ascx.cs" Inherits="Dienstfahrten.Dienstfahrten.DienstfahrtenUserControl" EnableViewState="true" %>


<div id="dienstfahrten" class="dienstfahrten">

            <div id="DienstfahrtenSeiteDiv" runat="server" visible="false">
            <h2 class="ms-standardheader ms-WPTitle"><img src="~/_layouts/<%=SPversionPath %>images/Dienstfahrten/favorite.png" Height="16px" Width="16px" />&nbsp;<asp:Literal ID="Literal4" runat="server" Text="<%$Resources:dienstfahrt, df_UeberschriftFavoriten%>" /></h2>

            <SharePoint:SPGridView ID="grdFavoriten" runat="server"
                AllowPaging="true" 
                AllowSorting="true" 
                AutoGenerateColumns="false"
                EmptyDataText='<%$Resources:dienstfahrt, d_listKeineElemente%>' 
                OnPageIndexChanging="grdViewFavoriten_PageIndexChanging" 
                OnSorting="gridViewFavoriten_Sorting"
                PagerSettings-Mode="NumericFirstLast"
                AlternatingRowStyle-BackColor="Azure"
                HeaderStyle-HorizontalAlign="Left" HeaderStyle-BackColor="#1F66A9"
                HorizontalAlign="Left" 
                OnRowDataBound="TemplateUpdate_grdFavoriten"                                                            
                PageSize="20" >

                <PagerSettings Mode="Numeric" />
                <PagerStyle HorizontalAlign="Left" Font-Size="XX-Small" />
                
                <Columns> 
                    <asp:TemplateField HeaderText='<%$Resources:dienstfahrt, d_Loeschen%>'> 
                        <ItemTemplate>                 
                            <asp:ImageButton ID="imgbtnDelFavorit" ToolTip='<%$Resources:dienstfahrt, d_Loeschen%>' runat="server"
                                CommandArgument='<%#Eval("ID")%>' CommandName="btnDelFavorit" OnCommand="btnFavorit_click"
                                Height="16px" Width="16px" />
                        </ItemTemplate> 
                    </asp:TemplateField> 
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Von%>' DataField="Von" SortExpression="Von" /> 
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Nach%>' DataField="Nach" SortExpression="Nach" /> 
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Einfach%>' DataField="Einfach" SortExpression="Einfach" />
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Gesamt%>' DataField="Gesamt" SortExpression="Gesamt" />
                    <asp:TemplateField HeaderText='<%$Resources:dienstfahrt, df_Verwenden%>'> 
                        <ItemTemplate>                 
                            <asp:ImageButton ID="imgbtnGetDienstfahrt" runat="server" ToolTip='<%$Resources:dienstfahrt, df_Verwenden%>'
                                CommandArgument='<%#Eval("ID")%>' CommandName="btnGetDienstfahrt" OnCommand="btnFavorit_click"
                                Height="16px" Width="16px" />
                        </ItemTemplate> 
                    </asp:TemplateField> 
                </Columns>            

            </SharePoint:SPGridView>

            <br /><div style="float: left; clear: both; width: 100%; height: 40px;"> </div><br />

            <h2 class="ms-standardheader ms-WPTitle"><img src="~/_layouts/<%=SPversionPath %>images/Dienstfahrten/right-arrow.png" Height="16px" Width="16px" />&nbsp;<asp:Literal ID="Literal1" runat="server" Text="<%$Resources:dienstfahrt, df_UeberschriftDienstfahrt%>" /></h2>
            <div style="border: 1px solid black;">
            <table width="100%" style="background-color: white;">
                <tr>
                    <td>
                        <br /><asp:ImageButton ID="Favorit" runat="server"  OnClick="btnSaveFavorit_click" Height="16px" Width="16px" />
                        <br /><br />
                    </td>
                    <td>
                        <label><asp:Literal ID="Literal2" runat="server" Text='<%$Resources:dienstfahrt, d_Datum%>' /></label>&nbsp;<span class='ms-formvalidation'>*</span>
                        <br />
                        <SharePoint:DateTimeControl ID="inputDatum" runat="server" Calendar="Gregorian" DateOnly="true" IsRequiredField="false" />
                        &nbsp;<asp:Label ID="lblinputDatumError" runat="server" Visible="false" style="color:red;"><asp:Literal ID="Literal10" runat="server" Text="<%$Resources:dienstfahrt, d_Eingabefehler%>" /></asp:Label>
                    </td>
                    <td>
                        <label><asp:Literal ID="Literal3" runat="server" Text='<%$Resources:dienstfahrt, d_Von%>' /></label>&nbsp;<span class='ms-formvalidation'>*</span>
                        <br />
                        <asp:TextBox runat="server" ID="inputVon" width="100px"/><br />
    		            &nbsp;<asp:Label ID="lblinputVonError" runat="server" Visible="false" style="color:red;"><asp:Literal ID="Literal14" runat="server" Text="<%$Resources:dienstfahrt, d_Eingabefehler%>" /></asp:Label>
                    </td>
                    <td>
                        <label><asp:Literal ID="Literal5" runat="server" Text='<%$Resources:dienstfahrt, d_Nach%>' /></label>&nbsp;<span class='ms-formvalidation'>*</span>
                        <br />
                        <asp:TextBox runat="server" ID="inputNach" width="100px"/><br />                           
    		            &nbsp;<asp:Label ID="lblinputNachError" runat="server" Visible="false" style="color:red;"><asp:Literal ID="Literal8" runat="server" Text="<%$Resources:dienstfahrt, d_Eingabefehler%>" /></asp:Label>
                    </td>
                    <td>
                        <label><asp:Literal ID="Literal6" runat="server" Text='<%$Resources:dienstfahrt, df_EinfacheStrecke%>' /></label>&nbsp;<span class='ms-formvalidation'>*</span>
                        <br />
                        <asp:TextBox runat="server" ID="inputStreckeEinfach" width="100px" onkeydown="return eingabe_zahl(event.keyCode)" /><br />
    		            &nbsp;<asp:Label ID="lblinputStreckeEinfachError" runat="server" Visible="false" style="color:red;"><asp:Literal ID="Literal9" runat="server" Text="<%$Resources:dienstfahrt, d_Eingabefehler%>" /></asp:Label>
                    </td>
                    <td>
                        <label><asp:Literal ID="Literal7" runat="server" Text='<%$Resources:dienstfahrt, df_Rueckweg%>' /></label>
                        <br />
                        <asp:CheckBox runat="server" ID="cbxGesamt" width="100px"/><br />&nbsp;
                    </td>
                    <td>
                        <asp:Label ID="lblsaveDienstfahrtInfo" runat="server" Visible="false" style="color:red;" />
                        <br /><asp:ImageButton ID="imgSaveDienstfahrt" runat="server" OnClick="btnSaveDienstfahrt_click" Height="16px" Width="16px" />
                        <br />
                    </td>
                </tr>
            </table>
            </div>

            <br /><br /><br /><br />
            <h2 class="ms-standardheader ms-WPTitle"><asp:Literal ID="Literal12" runat="server" Text="<%$Resources:dienstfahrt, df_UeberschriftDienstfahrtAktuellListe%>" /> <%= DateTime.Now.Year.ToString() %></h2>
            <div class="liste" style="width: 100%;float: left; clear: both;">
                    <div style="width: 100%;">
                    <SharePoint:SPGridView ID="grdDienstfahrtenAktuell" runat="server"
                        AllowPaging="true" 
                        AllowSorting="true" 
                        AutoGenerateColumns="false"
                        EmptyDataText='<%$Resources:dienstfahrt, d_listKeineElemente%>'
                        OnPageIndexChanging="grdViewFavoriten_PageIndexChanging" 
                        OnSorting="gridViewFavoriten_Sorting"
                        PagerSettings-Mode="NumericFirstLast" 
                        HeaderStyle-HorizontalAlign="Left" HeaderStyle-BackColor="#1F66A9"
                        HorizontalAlign="Left"                     
                        AlternatingRowStyle-BackColor="Azure"
                        PageSize="20"
                        OnRowDataBound="TemplateUpdate_grdDienstfahrtenAktuell" 
                        Width="100%" >
                        <PagerSettings Mode="Numeric" />
                        <PagerStyle HorizontalAlign="Left" Font-Size="XX-Small" />
                        <Columns> 
                            <asp:TemplateField HeaderText="<%$Resources:dienstfahrt, d_Datum%>"> 
                                <ItemTemplate>                 
                                    <asp:Literal ID="Literal1" runat="server" Text='<%#Eval("Datum", "{0:d}")%>' />
                                </ItemTemplate> 
                            </asp:TemplateField> 
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Von%>' DataField="Von" SortExpression="Von" /> 
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Nach%>' DataField="Nach" SortExpression="Nach" /> 
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Einfach%>' DataField="Einfach" SortExpression="Einfach" />
                            <SharePoint:SPBoundField HeaderText='<%$Resources:dienstfahrt, d_Gesamt%>' DataField="Gesamt" SortExpression="Gesamt" />
                            <asp:TemplateField HeaderText="<%$Resources:dienstfahrt, d_Loeschen%>"> 
                                <ItemTemplate>                                                 
                                    <asp:ImageButton ID="imgbtnDelDienstfahrt" ToolTip='<%$Resources:dienstfahrt, d_Loeschen%>' runat="server"
                                        CommandArgument='<%#Eval("ID")%>' CommandName="btndfDeleteDienstfahrt" OnCommand="btndfDeleteDienstfahrt_click"
                                        Height="16px" Width="16px" />
                                </ItemTemplate> 
                            </asp:TemplateField> 
                        </Columns>            
                     </SharePoint:SPGridView>
                     </div>

                     <br /><br /><br />
                     <div style="text-align: right; width: 100%;float: left; clear: both; border-top: 1px solid black;">
                         <asp:Literal ID="Literal11" runat="server" Text="<%$Resources:dienstfahrt, dl_Gesamtstrecke%>" />: 
                         <asp:Label ID="lbldfSummierteStrecke" runat="server" Visible="true"></asp:Label> km
                     </div>
                     <br /><br />                                      
                     <asp:Button ID="btndfVerschicken" runat="server" OnClick="btnVerschicken_click" Text="<%$Resources:dienstfahrt, d_Versandt%>" />
                     <asp:Label ID="lbldfbtnVerschickenInfo" runat="server" Visible="false" style="color:red;"></asp:Label>
                 </div>
            
            
            </div>



</div>
